IPC_ADDID(9)

NAME
ipc_addid - add an IPC identifier

SYNOPSIS

int ipc_addid (struct ipc_ids * ids, struct kern_ipc_perm * new, int size);

ARGUMENTS

ids IPC identifier set

new new IPC permission set

size
    new size limit for the id array

DESCRIPTION

Add an entry 'new' to the IPC arrays. The permissions object is initialised and the first free entry is set up and the id assigned is returned. The list is returned in a locked state on success. On failure the list is not locked and -1 is returned.

Called with ipc_ids.sem held.